//
//  WMWeixinShareView.h
//  Gengmei
//
//  Created by Sean Lee on 7/6/15.
//  Copyright (c) 2015 Wanmeichuangyi. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "WMShareObject.h"
#import "GMShareConstant.h"

@interface GMWeixinShareView : UIView

@property (nonatomic, strong) WMShareObject *weixinShareObject;
/// shareBlock
@property (nonatomic, copy) GMSharePlatformClick platformClick;
/**
 *  @author licong, 16-01-08 14:01:38
 *
 *  实例化一个WMWeixinShareView
 *
 *  @return 返回一个实例化成功的shareView
 *
 *  @since 5.8.0
 */
+ (GMWeixinShareView *)shareView;


/**
 *  @author licong, 16-01-08 14:01:46
 *
 *  弹出微信分享框
 *
 *  @since 5.8.0
 */
- (void)showShareView:(id)sender;

/**
 *  @author licong, 16-01-08 14:01:46
 *
 *  隐藏微信分享框
 *
 *  @since 5.8.0
 */
- (IBAction)hideShareView:(id)sender;

@end
